﻿using System;
using System.Collections.Generic;
using System.Linq;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Audio;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.GamerServices;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;
using Microsoft.Xna.Framework.Media;

namespace Dynamic2D
{
    public class SimpleBackgroundBase : GameObjectBase
    {
    }

    public class SimpleBackground : GameObject
    {
        public SimpleBackground(SimpleBackgroundBase BaseSimpleBackground)
            : base(BaseSimpleBackground)
        {
        }

        public override void Update(GameTime gameTime)
        {
 	        base.Update(gameTime);
        }

        public override void Draw(GameTime gameTime)
        {
            sprite.sourceRect.X = (int)game.cameraPosition.X;
            sprite.sourceRect.Y = (int)game.cameraPosition.Y;
            game.DrawBackground(sprite, rotation, layerDepth);
        }

        public override bool CanCollide()
        {
            return false;
        }
    }
}
